## org.eclipse.m2m.atl.engine.vm
Class ASMWriter

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.ASMWriter

Direct Known Subclasses:
  ASMTextualWriter, ASMXMLWriter

    public abstract class ASMWriter

extends java.lang.Object

Constructor Summary
`ASMWriter()`

Method Summary
`protected java.util.List` `getConstantPool()`
`protected int` `getCPIndex(java.lang.String s)`
`abstract void` `print(ASM asm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASMWriter

    public ASMWriter()

Method Detail

### print

    public abstract void print(ASM asm)

### getCPIndex

    protected int getCPIndex(java.lang.String s)

### getConstantPool

    protected java.util.List getConstantPool()

Copyright 2007 IBM Corporation and others. All Rights Reserved.